%global packname rex
%global packver 1.1.2

Name:             R-%{packname}
Version:          %{packver}
Release:          1%{?dist}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{packver}.tar.gz
License:          MIT
URL:              https://cran.r-project.org/web/packages/rex/index.html
Group:            Applications/Engineering
Summary:          Friendly Regular Expressions
BuildRequires:    R-devel >= 3.0.0, texlive-latex, R-magrittr, R-lazyeval
BuildArch:        noarch
Requires:         R-core >= 3.0.0, R-magrittr, R-lazyeval

%description
R's raw vector is useful for storing a single binary object. What if you want
to put a vector of them in a data frame? The blob package provides the blob
object, a list of raw vectors, suitable for use as a column in data frame.

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/R/library
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_datadir}/R/library %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_datadir}/R/library/R.css

%check
# Tests won't work due to missing BR
# %%{_bindir}/R CMD check %%{packname}

%files
%license %{_datadir}/R/library/%{packname}/LICENSE
%doc %{_datadir}/R/library/%{packname}/NEWS.md
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/html
%{_datadir}/R/library/%{packname}/DESCRIPTION
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/doc
%{_datadir}/R/library/%{packname}/help

%changelog
* Fri Mar 23 2018 Tom Callaway <spot@fedoraproject.org> - 1.1.2-1
- initial package
